<?
 /*SCRIPT PARA MANTENIMIENTO DE CURSOS POR GRADOS ESCOLARES*/
 /*DESARROLLADO POR: JOSE EFREN MONTERROSO SOLARES jefren@galileo.edu*/
  include("../fnc.php");
  enlinea_a();

  if(!$tipo_trn){
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

  switch($tipo_trn){
   case "Add":
    $idgrado=base64_decode($grado);
    $idcurso=base64_decode($curso);

    $qver=mysql_query("select * from cursos_grados where grado = '$idgrado' and curso ='$idcurso'");
    if(mysql_num_rows($qver)>0){
      $iver=mysql_fetch_array($qver);
      alert("Ese curso ya existe asignado a ese grado","javascript:history.go(-1)");
    }
                $sql="insert into
                      cursos_grados
                      set grado='$idgrado',
                      curso='$idcurso'";

                 $ins=mysql_query($sql);
                 if($ins){header("Location: ./frm_cursos_x_grado.php?sid=$sid&idgrado=".base64_encode($idgrado));}else{echo "ERROR: ".mysql_error();}
   break;

   case "Del":
    $idgrado=base64_decode($grado);
    $idcurso=base64_decode($curso);

                $sql="delete from cursos_grados
                      where curso = '$idcurso'
                      and grado = $idgrado";
//                 echo $sql;
                 $qupd=mysql_query($sql);
                 header("Location: ./frm_cursos_x_grado.php?sid=$sid&idgrado=".base64_encode($idgrado));
//                 if($qupd){alert("Grado: $txtgrado\\nactualizado con éxito","frm_grado.php?sid=$sid");}else{echo "ERROR: ".mysql_error();}
   break;

   default:
    alert("Parámetros incorrectos","javascript:history.go(-1)");
  }

?>